<template>
  <h1>Visibility</h1>

  <section>
    <h2>General classes</h2>

    <table>
      <thead>
        <tr>
          <th>Class</th>
          <th>Result</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="util in utils" :key="util">
          <td><code>.-{{ util }}</code></td>
          <td><code :class="`-${util}`">.-{{ util }}</code></td>
        </tr>
      </tbody>
    </table>
  </section>

  <section>
    <h2>Apply on "screen size or more"</h2>

    <table>
      <thead>
        <tr>
          <th>Class</th>
          <th>Result</th>
        </tr>
      </thead>
      <tbody>
        <template v-for="util in utils" :key="util">
          <tr v-for="size in sizes" :key="size">
            <td><code>.-{{ size }}:{{ util }}</code></td>
            <td><code :class="`-${size}:${util}`">.-{{ size }}:{{ util }}</code></td>
          </tr>
        </template>
      </tbody>
    </table>
  </section>

  <section>
    <h2>Apply on "less than screen size"</h2>

    <table>
      <thead>
        <tr>
          <th>Class</th>
          <th>Result</th>
        </tr>
      </thead>
      <tbody>
        <template v-for="util in utils" :key="util">
          <tr v-for="size in sizes" :key="size">
            <td><code>.-{{ size }}-l:{{ util }}</code></td>
            <td><code :class="`-${size}-l:${util}`">.-{{ size }}-l:{{ util }}</code></td>
          </tr>
        </template>
      </tbody>
    </table>
  </section>
</template>

<script>
const utils = [
  'hidden',
  'block',
]

const sizes = [
  'sm',
  'md',
  'lg',
]
export default {
  name: 'VisibilityView',
  data () {
    return {
      utils,
      sizes,
    }
  },
  created () {
    this.$setTitle('Visibility')
  },
}
</script>
